RDKit: RDKit::RDKitFPUtils Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Functions
RDKit::RDKitFPUtils Namespace Reference

## Functions
RDKIT_FINGERPRINTS_EXPORT void | buildDefaultRDKitFingerprintAtomInvariants (const ROMol &mol, std::vector< std::uint32_t > &lAtomInvariants)
RDKIT_FINGERPRINTS_EXPORT void | enumerateAllPaths (const ROMol &mol, std::map< int, std::list< std::vector< int > > > &allPaths, const std::vector< std::uint32_t > *fromAtoms, bool branchedPaths, bool useHs, unsigned int minPath, unsigned int maxPath)
RDKIT_FINGERPRINTS_EXPORT void | identifyQueryBonds (const ROMol &mol, std::vector< const Bond * > &bondCache, std::vector< short > &isQueryBond)
RDKIT_FINGERPRINTS_EXPORT std::vector< unsigned int > | generateBondHashes (const ROMol &mol, boost::dynamic_bitset<> &atomsInPath, const std::vector< const Bond * > &bondCache, const std::vector< short > &isQueryBond, const std::vector< int > &path, bool useBondOrder, const std::vector< std::uint32_t > *atomInvariants)

## Function Documentation

## ◆ buildDefaultRDKitFingerprintAtomInvariants()

RDKIT_FINGERPRINTS_EXPORT void RDKit::RDKitFPUtils::buildDefaultRDKitFingerprintAtomInvariants | ( | const ROMol & | mol,
|  | std::vector< std::uint32_t > & | lAtomInvariants )

References RDKIT_FINGERPRINTS_EXPORT.

## ◆ enumerateAllPaths()

RDKIT_FINGERPRINTS_EXPORT void RDKit::RDKitFPUtils::enumerateAllPaths | ( | const ROMol & | mol,
|  | std::map< int, std::list< std::vector< int > > > & | allPaths,
|  | const std::vector< std::uint32_t > * | fromAtoms,
|  | bool | branchedPaths,
|  | bool | useHs,
|  | unsigned int | minPath,
|  | unsigned int | maxPath )

References RDKIT_FINGERPRINTS_EXPORT.

## ◆ generateBondHashes()

RDKIT_FINGERPRINTS_EXPORT std::vector< unsigned int > RDKit::RDKitFPUtils::generateBondHashes | ( | const ROMol & | mol,
|  | boost::dynamic_bitset<> & | atomsInPath,
|  | const std::vector< const Bond * > & | bondCache,
|  | const std::vector< short > & | isQueryBond,
|  | const std::vector< int > & | path,
|  | bool | useBondOrder,
|  | const std::vector< std::uint32_t > * | atomInvariants )

References RDKIT_FINGERPRINTS_EXPORT.

## ◆ identifyQueryBonds()

RDKIT_FINGERPRINTS_EXPORT void RDKit::RDKitFPUtils::identifyQueryBonds | ( | const ROMol & | mol,
|  | std::vector< const Bond * > & | bondCache,
|  | std::vector< short > & | isQueryBond )

References RDKIT_FINGERPRINTS_EXPORT.